ECHO OFF
:MENU
set "M="
ECHO.
ECHO *************************** SYSRANGER PROBE MENU ******************************
ECHO 1 - View Status
ECHO 2 - Configure
ECHO 3 - Restart
ECHO 4 - Stop
ECHO 5 - Start
ECHO 6 - Uninstall
ECHO 7 - Install
ECHO 0 - EXIT
ECHO.
ECHO *******************************************************************************
SET /P M=Type your choice and press ENTER:
if "%M%"=="" goto MENU
IF %M%==1 GOTO VIEW
IF %M%==2 GOTO CONFIGURE
IF %M%==3 GOTO RESTART
IF %M%==4 GOTO STOP
IF %M%==5 GOTO START
IF %M%==6 GOTO UNINSTALL
IF %M%==7 GOTO INSTALL
IF %M%==0 GOTO END
GOTO MENU

:CONFIGURE
echo.
if exist config.ini type config.ini
echo.
set "Host="
set "Port=8300"
echo Please enter the hostname and port of SysRanger Server. Leave port empty for default [%Port%].
echo.
set /p Host="Enter server hostname or IP address :"
if "%Host%"=="" goto MENU
set /p Port="Enter server port :"


echo server.host=%Host% > config.ini
echo server.port=%Port% >> config.ini
echo Your configuration is saved. Restarting service...
type config.ini
GOTO RESTART


:VIEW
cd "%~dp0%"
start SysRangerProbeViewer.exe
GOTO MENU


:RESTART
cd "%~dp0%"
call "windows_service_stop.bat"
call "windows_service_start.bat"
GOTO MENU

:STOP
cd "%~dp0%"
call "windows_service_stop.bat"
GOTO MENU

:START
cd "%~dp0%"
call "windows_service_start.bat"
GOTO MENU

:UNINSTALL
cd "%~dp0%"
call "windows_service_delete.bat"
GOTO MENU

:INSTALL
cd "%~dp0%"
call "windows_service_install.bat"
GOTO MENU



:END